#!@@SH@@
#
# opkbuild
# src/ob-checkbuilddeps.sh
# Make sure that package build dependencies are installed.
#
# Copyright (C) 2012 Patrick "P. J." McDermott
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

. '@@PKGLIBDIR@@/load.sm'

ob_use locale
ob_use output
ob_use package

main()
{
	ob_set_text_domain 'opkbuild'

	ob_init_package '..' || exit 1
	ob_parse_package_metadata -c '.opkbuild.cache' || exit 1

	ob_info "$(ob_get_msg 'checking_build_deps')"
}

main "${@}"
